{
"_type": "sec_certs.sample.cc.CCCertificate",
"category": "Network and Network-Related Devices and Systems",
"cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10838-ci.pdf",
"dgst": "9a3b136bfc7159af",
"heuristics": {
"_type": "sec_certs.sample.cc_eucc_common.Heuristics",
"annotated_references": null,
"cert_id": "CCEVS-VR-VID-10838-2017",
"cert_lab": [
"US"
],
"cpe_matches": null,
"direct_transitive_cves": null,
"eal": null,
"extracted_sars": {
"_type": "Set",
"elements": [
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AGD_PRE",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ATE_IND",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AGD_OPE",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AVA_VAN",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_CMC",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_CMS",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ADV_FSP",
"level": 1
}
]
},
"extracted_versions": {
"_type": "Set",
"elements": [
"1.5.2"
]
},
"indirect_transitive_cves": null,
"next_certificates": null,
"prev_certificates": null,
"protection_profiles": {
"_type": "Set",
"elements": [
"9a53053632701553"
]
},
"related_cves": null,
"report_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"scheme_data": {
"api_url": "https://www.niap-ccevs.org/api/project/product/pcl_products/10838/",
"categories": [
"Network Device"
],
"category": "Network Device",
"certification_date": "2017-12-07",
"evaluation_facility": "Leidos Common Criteria Testing Laboratory",
"expiration_date": "2019-12-07",
"id": "CCEVS-VR-VID10838",
"product": "Black Lantern BL300-B2 and BL300-C2 (software version 1.5.2)",
"scheme": "US",
"url": "https://www.niap-ccevs.org/products/10838",
"vendor": "Guardtime Federal"
},
"st_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"verified_cpe_matches": null
},
"maintenance_updates": {
"_type": "Set",
"elements": []
},
"manufacturer": "Guardtime Federal",
"manufacturer_web": "https://www.guardtime-federal.com",
"name": "Black Lantern BL300-B2 and BL300-C2 (software version 1.5.2)",
"not_valid_after": "2019-12-07",
"not_valid_before": "2017-12-07",
"pdf_data": {
"_type": "sec_certs.sample.cc_eucc_common.PdfData",
"cert_filename": "st_vid10838-ci.pdf",
"cert_frontpage": null,
"cert_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {
"US": {
"CCEVS-VR-VID10838-2017": 1
}
},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {},
"cc_security_level": {},
"cc_sfr": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"Leidos": {
"Leidos": 1
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"cert_metadata": {
"/CreationDate": "D:20171219151646-05\u002700\u0027",
"/ModDate": "D:20171219151646-05\u002700\u0027",
"/Producer": "iText 2.1.0 (by lowagie.com)",
"pdf_file_size_bytes": 177703,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 1
},
"report_filename": "st_vid10838-vr.pdf",
"report_frontpage": {
"US": {
"cert_id": "CCEVS-VR-VID10838-2017 Dated: 7 December 2017 Version: 1.0",
"cert_item": "",
"cert_lab": "US NIAP"
}
},
"report_keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDHE": 1
}
}
},
"cc_cert_id": {
"US": {
"CCEVS-VR-VID10838-2017": 1
}
},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {
"ADV": {
"ADV_FSP.1": 1
},
"AGD": {
"AGD_OPE.1": 1,
"AGD_PRE.1": 1
},
"ALC": {
"ALC_CMC.1": 1,
"ALC_CMS.1": 1
},
"ATE": {
"ATE_IND.1": 1
},
"AVA": {
"AVA_VAN.1": 1
}
},
"cc_security_level": {},
"cc_sfr": {
"FCS": {
"FCS_CKM.1": 1,
"FCS_TLSS_EXT": 1
},
"FMT": {
"FMT_SMF.1.1": 1
}
},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 11
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"Leidos": {
"Leidos": 8
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"RFC": {
"RFC 5246": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"report_metadata": {
"/CreationDate": "D:20171219151234-05\u002700\u0027",
"/ModDate": "D:20171219151234-05\u002700\u0027",
"pdf_file_size_bytes": 644550,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.niap-ccevs.org/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 23
},
"st_filename": "st_vid10838-st.pdf",
"st_frontpage": null,
"st_keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 8
},
"ECDH": {
"ECDHE": 3
},
"ECDSA": {
"ECDSA": 7
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 1
}
}
},
"cc_cert_id": {},
"cc_claims": {
"A": {
"A.ADMIN_CREDENTIALS_SECURE": 2,
"A.LIMITED_FUNCTIONALITY": 2,
"A.NO_THRU_TRAFFIC_PROTECTION": 2,
"A.PHYSICAL_PROTECTION": 2,
"A.REGULAR_UPDATES": 2,
"A.TRUSTED_ADMINISTRATOR": 2
},
"OE": {
"OE.ADMIN_CREDENTIALS_SECURE": 1,
"OE.NO_GENERAL_PURPOSE": 1,
"OE.NO_THRU_TRAFFIC_PROTECTION": 1,
"OE.PHYSICAL": 1,
"OE.TRUSTED_ADMIN": 1,
"OE.UPDATES": 1
},
"T": {
"T.PASSWORD_CRACKING": 2,
"T.SECURITY_FUNCTIONALITY_COMPROMISE": 2,
"T.SECURITY_FUNCTIONALITY_FAILURE": 2,
"T.UNAUTHORIZED_ADMINISTRATOR_ACCESS": 2,
"T.UNDETECTED_ACTIVITY": 2,
"T.UNTRUSTED_COMMUNICATION_CHANNELS": 2,
"T.UPDATE_COMPROMISE": 2,
"T.WEAK_AUTHENTICATION_ENDPOINTS": 2,
"T.WEAK_CRYPTOGRAPHY": 2
}
},
"cc_protection_profile_id": {},
"cc_sar": {
"ADV": {
"ADV_FSP": 1,
"ADV_FSP.1": 2
},
"AGD": {
"AGD_OPE": 1,
"AGD_OPE.1": 2,
"AGD_PRE": 1,
"AGD_PRE.1": 2
},
"ALC": {
"ALC_CMC": 1,
"ALC_CMC.1": 2,
"ALC_CMS": 1,
"ALC_CMS.1": 2
},
"ASE": {
"ASE_CCL": 2,
"ASE_INT": 1,
"ASE_OBJ": 2,
"ASE_REQ": 2,
"ASE_SPD": 2,
"ASE_TSS": 3
},
"ATE": {
"ATE_IND": 1,
"ATE_IND.1": 2
},
"AVA": {
"AVA_VAN": 1,
"AVA_VAN.1": 2
}
},
"cc_security_level": {},
"cc_sfr": {
"FAU": {
"FAU_GEN": 2,
"FAU_GEN.1": 4,
"FAU_GEN.1.1": 1,
"FAU_GEN.1.2": 2,
"FAU_GEN.2": 3,
"FAU_GEN.2.1": 1,
"FAU_STG": 1,
"FAU_STG.1": 4,
"FAU_STG.1.1": 1,
"FAU_STG.1.2": 1,
"FAU_STG_EXT": 6,
"FAU_STG_EXT.1": 3,
"FAU_STG_EXT.1.1": 1,
"FAU_STG_EXT.1.2": 1,
"FAU_STG_EXT.1.3": 2,
"FAU_STG_EXT.2": 4,
"FAU_STG_EXT.2.1": 1,
"FAU_STG_EXT.3": 4,
"FAU_STG_EXT.3.1": 1
},
"FCS": {
"FCS_CKM": 3,
"FCS_CKM.1": 7,
"FCS_CKM.1.1": 1,
"FCS_CKM.2": 8,
"FCS_CKM.2.1": 1,
"FCS_CKM.4": 4,
"FCS_CKM.4.1": 1,
"FCS_COP.1": 26,
"FCS_COP.1.1": 4,
"FCS_RBG_EXT": 2,
"FCS_RBG_EXT.1": 5,
"FCS_RBG_EXT.1.1": 1,
"FCS_RBG_EXT.1.2": 1,
"FCS_TLSC_EXT": 2,
"FCS_TLSC_EXT.2": 5,
"FCS_TLSC_EXT.2.1": 1,
"FCS_TLSC_EXT.2.2": 1,
"FCS_TLSC_EXT.2.3": 1,
"FCS_TLSC_EXT.2.4": 1,
"FCS_TLSC_EXT.2.5": 1,
"FCS_TLSS_EXT": 3,
"FCS_TLSS_EXT.2": 5,
"FCS_TLSS_EXT.2.1": 1,
"FCS_TLSS_EXT.2.2": 1,
"FCS_TLSS_EXT.2.3": 2,
"FCS_TLSS_EXT.2.4": 1,
"FCS_TLSS_EXT.2.5": 1,
"FCS_TLSS_EXT.2.6": 1
},
"FIA": {
"FIA_PMG_EXT": 2,
"FIA_PMG_EXT.1": 4,
"FIA_PMG_EXT.1.1": 1,
"FIA_UAU": 1,
"FIA_UAU.7": 4,
"FIA_UAU.7.1": 1,
"FIA_UAU_EXT": 2,
"FIA_UAU_EXT.2": 4,
"FIA_UAU_EXT.2.1": 1,
"FIA_UIA_EXT": 2,
"FIA_UIA_EXT.1": 4,
"FIA_UIA_EXT.1.1": 1,
"FIA_UIA_EXT.1.2": 1
},
"FMT": {
"FMT_MOF.1": 17,
"FMT_MOF.1.1": 3,
"FMT_MTD": 7,
"FMT_MTD.1": 5,
"FMT_MTD.1.1": 1,
"FMT_SMF": 1,
"FMT_SMF.1": 4,
"FMT_SMF.1.1": 2,
"FMT_SMR": 1,
"FMT_SMR.2": 4,
"FMT_SMR.2.1": 1,
"FMT_SMR.2.2": 1,
"FMT_SMR.2.3": 1
},
"FPT": {
"FPT_APW_EXT": 2,
"FPT_APW_EXT.1": 4,
"FPT_APW_EXT.1.1": 1,
"FPT_APW_EXT.1.2": 1,
"FPT_SKP_EXT": 2,
"FPT_SKP_EXT.1": 4,
"FPT_SKP_EXT.1.1": 1,
"FPT_STM": 1,
"FPT_STM.1": 4,
"FPT_STM.1.1": 1,
"FPT_TST_EXT": 2,
"FPT_TST_EXT.1": 4,
"FPT_TST_EXT.1.1": 1,
"FPT_TUD_EXT": 2,
"FPT_TUD_EXT.1": 4,
"FPT_TUD_EXT.1.1": 1,
"FPT_TUD_EXT.1.2": 1,
"FPT_TUD_EXT.1.3": 1
},
"FTA": {
"FTA_SSL": 2,
"FTA_SSL.3": 4,
"FTA_SSL.3.1": 1,
"FTA_SSL.4": 4,
"FTA_SSL.4.1": 1,
"FTA_SSL_EXT": 2,
"FTA_SSL_EXT.1": 4,
"FTA_SSL_EXT.1.1": 1,
"FTA_TAB": 1,
"FTA_TAB.1": 5,
"FTA_TAB.1.1": 1
},
"FTP": {
"FTP_ITC": 1,
"FTP_ITC.1": 5,
"FTP_ITC.1.1": 1,
"FTP_ITC.1.2": 1,
"FTP_ITC.1.3": 1,
"FTP_TRP": 1,
"FTP_TRP.1": 4,
"FTP_TRP.1.1": 1,
"FTP_TRP.1.2": 1,
"FTP_TRP.1.3": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"GCM": {
"GCM": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 7,
"SSL 2.0": 1,
"SSL 3.0": 1
},
"TLS": {
"TLS": 68,
"TLS 1.0": 1,
"TLS 1.1": 1,
"TLS 1.2": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 3
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 22,
"P-384": 20,
"P-512": 1,
"P-521": 16,
"secp256r1": 3,
"secp384r1": 3,
"secp521r1": 3
}
},
"eval_facility": {},
"hash_function": {
"PBKDF": {
"PBKDF2": 2
},
"SHA": {
"SHA1": {
"SHA-1": 8
},
"SHA2": {
"SHA-256": 9,
"SHA-384": 10,
"SHA-512": 11
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 1
},
"RNG": {
"RBG": 2,
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 186-4": 2,
"FIPS PUB 186-2": 2,
"FIPS PUB 186-4": 7
},
"ISO": {
"ISO/IEC 14888-3": 1,
"ISO/IEC 18031:2011": 3,
"ISO/IEC 9796-2": 1
},
"NIST": {
"NIST SP 800-132": 1
},
"PKCS": {
"PKCS #1": 1
},
"RFC": {
"RFC 2560": 1,
"RFC 2818": 2,
"RFC 2898": 1,
"RFC 2986": 1,
"RFC 5246": 4,
"RFC 5280": 4,
"RFC 5289": 4,
"RFC 5424": 1,
"RFC 6125": 1
},
"X509": {
"X.509": 21
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 29,
"AES-128": 1,
"AES-256": 1
}
},
"constructions": {
"MAC": {
"HMAC": 5,
"HMAC-SHA-256": 9,
"HMAC-SHA-384": 8,
"HMAC-SHA-512": 7
}
}
},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 4,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 4
}
},
"vendor": {
"NXP": {
"NXP": 1
}
},
"vulnerability": {}
},
"st_metadata": {
"/CreationDate": "D:20171219151459-05\u002700\u0027",
"/ModDate": "D:20171219151459-05\u002700\u0027",
"pdf_file_size_bytes": 1312466,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 51
}
},
"protection_profile_links": {
"_type": "Set",
"elements": [
"https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/CPP_ND_V1.0.pdf"
]
},
"report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10838-vr.pdf",
"scheme": "US",
"security_level": {
"_type": "Set",
"elements": []
},
"st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10838-st.pdf",
"state": {
"_type": "sec_certs.sample.cc_eucc_common.InternalState",
"cert": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "3cca24a91c2df07431090bb901fdf13b9a4f590ffca6c544f2ec2fd285887b2a",
"source_hash": "5360202281e7140e606d35fa901f5de324748039411ac5ca3fe0901893af31bc",
"txt_hash": "866a4ada3b8de0cfd7bcb97a0ac8685c09f6c70fa391f659dcb5cdcf22906dfe"
},
"report": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "95084a2dd40280b890e31fb1a12308695380300a6497057b12cf2b0ed79e0922",
"source_hash": "c9651b97b84f8e519ee0c877f2aca0e06df72394c38328933da8512120b297ff",
"txt_hash": "4d2abf8989397e1b3ad2ea19b7210720d88c96f33929a0725b4fdeee2b8f2f85"
},
"st": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c8004c224b912f6735ff56d44fd39b68c7e3fb0f33e8a1eacd1f22dfc4f8bd44",
"source_hash": "60692dda823c88b93bf70d1ce1c0ec7c25785407df6b653272e14e2f276754cb",
"txt_hash": "359f33f4bf2886f5c82ce747b4668e98676bff5c1bf36b08b6721a47f0b78c8c"
}
},
"status": "archived"
}